
From: Adrian Bunk <bunk@stusta.de>

This patch contains the following cleanups:
- make some needlessly global functions static
- b1dma.c __init/__exit the functions b1dma_{init,exit}

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/isdn/hardware/avm/b1dma.c |    4 ++--
 25-akpm/drivers/isdn/hardware/avm/c4.c    |    6 +++---
 25-akpm/drivers/isdn/hardware/avm/t1isa.c |    2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

diff -puN drivers/isdn/hardware/avm/b1dma.c~drivers-isdn-hardware-avm-misc-cleanups drivers/isdn/hardware/avm/b1dma.c
--- 25/drivers/isdn/hardware/avm/b1dma.c~drivers-isdn-hardware-avm-misc-cleanups	2005-03-13 13:37:24.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/b1dma.c	2005-03-13 13:37:24.000000000 -0800
@@ -955,7 +955,7 @@ EXPORT_SYMBOL(b1dma_release_appl);
 EXPORT_SYMBOL(b1dma_send_message);
 EXPORT_SYMBOL(b1dmactl_read_proc);
 
-int b1dma_init(void)
+static int __init b1dma_init(void)
 {
 	char *p;
 	char rev[32];
@@ -972,7 +972,7 @@ int b1dma_init(void)
 	return 0;
 }
 
-void b1dma_exit(void)
+static void __exit b1dma_exit(void)
 {
 }
 
diff -puN drivers/isdn/hardware/avm/c4.c~drivers-isdn-hardware-avm-misc-cleanups drivers/isdn/hardware/avm/c4.c
--- 25/drivers/isdn/hardware/avm/c4.c~drivers-isdn-hardware-avm-misc-cleanups	2005-03-13 13:37:24.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/c4.c	2005-03-13 13:37:24.000000000 -0800
@@ -885,7 +885,7 @@ static int c4_load_firmware(struct capi_
 }
 
 
-void c4_reset_ctr(struct capi_ctr *ctrl)
+static void c4_reset_ctr(struct capi_ctr *ctrl)
 {
 	avmcard *card = ((avmctrl_info *)(ctrl->driverdata))->card;
 	avmctrl_info *cinfo;
@@ -933,7 +933,7 @@ static void c4_remove(struct pci_dev *pd
 /* ------------------------------------------------------------- */
 
 
-void c4_register_appl(struct capi_ctr *ctrl,
+static void c4_register_appl(struct capi_ctr *ctrl,
 				u16 appl,
 				capi_register_params *rp)
 {
@@ -978,7 +978,7 @@ void c4_register_appl(struct capi_ctr *c
 
 /* ------------------------------------------------------------- */
 
-void c4_release_appl(struct capi_ctr *ctrl, u16 appl)
+static void c4_release_appl(struct capi_ctr *ctrl, u16 appl)
 {
 	avmctrl_info *cinfo = (avmctrl_info *)(ctrl->driverdata);
 	avmcard *card = cinfo->card;
diff -puN drivers/isdn/hardware/avm/t1isa.c~drivers-isdn-hardware-avm-misc-cleanups drivers/isdn/hardware/avm/t1isa.c
--- 25/drivers/isdn/hardware/avm/t1isa.c~drivers-isdn-hardware-avm-misc-cleanups	2005-03-13 13:37:24.000000000 -0800
+++ 25-akpm/drivers/isdn/hardware/avm/t1isa.c	2005-03-13 13:37:24.000000000 -0800
@@ -328,7 +328,7 @@ static int t1isa_load_firmware(struct ca
 	return 0;
 }
 
-void t1isa_reset_ctr(struct capi_ctr *ctrl)
+static void t1isa_reset_ctr(struct capi_ctr *ctrl)
 {
 	avmctrl_info *cinfo = (avmctrl_info *)(ctrl->driverdata);
 	avmcard *card = cinfo->card;
_
